﻿// ReSharper disable InconsistentNaming
// ReSharper disable ClassNeverInstantiated.Global
// ReSharper disable IdentifierTypo
// ReSharper disable UnusedAutoPropertyAccessor.Global
namespace BsWidget.BeatSaberHttpStatus
{
    internal class BeatSaberStatusEventArgs
    {
        public string Event { get; set; }

        public BsStatus Status { get; set; }

        public NoteCutInfo NoteCut { get; set; }
    }

    internal class NoteCutInfo
    {
        public int? FinalScore { get; set; }
    }

    internal class BsStatus
    {
        public GameStatus Game { get; set; }

        public BeatmapStatus Beatmap { get; set; }

        public PerformanceStatus Performance { get; set; }

        public ModStatus Mod { get; set; }

        public PlayerSettingsStatus PlayerSettings { get; set; }
    }

    internal class PlayerSettingsStatus
    {
    }

    internal class ModStatus
    {
    }

    internal class PerformanceStatus
    {
        public int Score { get; set; }
        public int CurrentMaxScore { get; set; }
        public string Rank { get; set; }
        public int Combo { get; set; }
    }

    internal class BeatmapStatus
    {
        public string SongCover { get; set; }
        public string SongName { get; set; }
        public string SongSubName { get; set; }
        public string SongAuthorName { get; set; }
        public string LevelAuthorName { get; set; }
        public string Difficulty { get; set; }
        public double SongBPM { get; set; }
        public double NoteJumpSpeed { get; set; }
    }

    internal class GameStatus
    {
        public string Scene { get; set; }
    }
}
